Bug 218613

Summary: Enable llint asm on aarch64 when USE(64KB_PAGE_BLOCK) is enabled
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, bugs-noreply, clopez, ews-watchlist, gyuyoung.kim, mcatanzaro, mgorse, ryuan.choi, sergio, xan.lopez
Priority: P2    
Version: WebKit Nightly Build   
Hardware: PC   
OS: Linux   
See Also: https://bugs.webkit.org/show_bug.cgi?id=217989
https://bugs.webkit.org/show_bug.cgi?id=219288
Attachments:
Description Flags
Patch none

Description Michael Catanzaro 2020-11-05 06:14:53 PST
Bug #217989 forces cloop when USE(64KB_PAGE_BLOCK) is enabled. Xan recommends we use llint's assembler backend instead, since it is faster and bugs should be rare.
Comment 1 Michael Catanzaro 2020-11-05 06:46:55 PST
Created attachment 413291 [details]
Patch
Comment 2 Michael Catanzaro 2020-11-05 07:38:05 PST
(Mike: this reverses my previous recommendation that we should use cloop on aarch64.)
Comment 3 EWS 2020-11-09 10:53:54 PST
Committed r269586: <https://trac.webkit.org/changeset/269586>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 413291 [details].
Comment 4 Michael Catanzaro 2020-11-25 14:36:40 PST
This doesn't build. Turns out aarch64 llint depends on JIT due to USE(JUMP_ISLANDS). It seems this configuration is maybe not as well-tested as we had hoped?

Let's follow-up in bug #219288.